import json
import os
import sys

BASE_PATH = os.path.dirname(os.path.dirname(__file__))
sys.path.append(BASE_PATH)
from core import withdraw

luffy_file_name = "../account/luffy.json"
tesla_file_name = "../account/tesla.json"

with open(luffy_file_name, "r", encoding="utf-8") as f:
    luffy_dict = json.load(f)

with open(tesla_file_name, "r", encoding="utf-8") as f:
    tesla_dict = json.load(f)

while True:
    msg = '''
    ------- Luffy Bank ---------
    1.  账户信息
    2.  提现
    '''
    print(msg)
    choice = input("choice: ").strip()
    if choice.isdigit():
        choice = int(choice)
        if choice == 1:
            print("你的余额：%s 元" % (luffy_dict["balance"]))
            print("你的信用额度：%s 元" % (luffy_dict["line_of_credit"]))
        if choice == 2:
            cash = input("请输入提现金额：").strip()
            if cash.isdigit():
                cash = int(cash)
                withdraw.cash(cash, luffy_dict, luffy_file_name)
            else:
                print("输入不正确")
    else:
        print("没有你输入的选项")
